Subject: Re: linux-next: Tree for Oct 25 (crypto)

From: [email-masked]
Date: Thu, 27 Oct 2011 03:05:16 -0400

On Wed, 26 Oct 2011 08:27:17 +0200, Herbert Xu said:
> On Tue, Oct 25, 2011 at 05:42:01PM -0700, Randy Dunlap wrote:
> > When CONFIG_NET is not enabled:
>
> Thanks, I'll add this patch.

> diff --git a/crypto/Kconfig b/crypto/Kconfig
> +	select NET

Are there any use cases where a config (probably embedded) would wantq
CRYPTO_USER but not CRYPTO_NET?  Would seem a shame to pull in the entire
CONFIG_NET stuff just for what appears to me to be a few utility routines (I
know there's still a few people out there fighting kernel bloat).

In any case, I suspect that sort of restructuring will be 3.3 material - this does
look like the right fix for this merge window.